当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 我的ubuntu7.04出问题了 无法进行更新
帖子发表于 : 2007-07-26 0:08 

注册: 2007-07-17 15:34
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
软件索引已被破坏

无法安装或删除任何软件。请使用包管理软件"synaptic"或在终端运行"sudo apt-get install -f"来修正这个问题。

我按照上面说的方法去做 可是还是不行 有什么办法呢


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-07-26 0:14 

注册: 2007-07-17 15:34
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
root@ubuntu:/home/freddie# apt-get install gcc
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
gcc 已经是最新的版本了。
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
python2.5: 依赖: python2.5-minimal (= 2.5.1-0ubuntu1) 但是 2.5.1~rc1-0ubuntu3 正要被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
root@ubuntu:/home/freddie# apt-get -f install
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
正在更正依赖关系... 完成
The following packages were automatically installed and are no longer required:
libchewing3-data scim-chewing libchewing3 openoffice.org-l10n-zh-tw mozilla-firefox-locale-zh-cn scim-pinyin openoffice.org-help-zh-tw mozilla-firefox-locale-zh-tw
使用 'apt-get autoremove' 来删除它们。
将会安装下列额外的软件包:
python2.5-minimal
下列的软件包将被升级:
python2.5-minimal
共升级了 1 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 109 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 0B/1168kB 的软件包。
解压缩后会消耗掉 0B 的额外空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 92599 个文件和目录。)
正预备替换 python2.5-minimal 2.5.1~rc1-0ubuntu3 (使用 .../python2.5-minimal_2.5.1-0ubuntu1_i386.deb) ...
正在解压缩将用于更替的包文件 python2.5-minimal ...
dpkg:处理 /var/cache/apt/archives/python2.5-minimal_2.5.1-0ubuntu1_i386.deb (--unpack)时出错:
文件系统的 tar 文件已损坏 - 软件包文件已毁损
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
在处理时有错误发生:
/var/cache/apt/archives/python2.5-minimal_2.5.1-0ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@ubuntu:/home/freddie#


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-07-26 1:23 

注册: 2006-04-29 14:54
帖子: 1187
地址: 山东
送出感谢: 0 次
接收感谢: 0 次
换源、更新源(sudo apt-get update),再重新试试呢。


_________________
学会看置顶帖、精华帖。
学会使用搜索。
常见问题解答和发帖需知


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-07-26 4:49 

注册: 2007-07-17 15:34
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
我现在能下载 但是不能更新

软件索引已被破坏

无法安装或删除任何软件。请使用包管理软件"synaptic"或在终端运行"sudo apt-get install -f"来修正这个问题。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译